Download it now!
Bug 107282 - Deleted customized shortcuts still working
Summary: Deleted customized shortcuts still working
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Customize-Dialog-Keyboard Shortcuts-Accelerators SD-Shared-Code
  Show dependency treegraph
 
Reported: 2017-04-20 03:26 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-04-05 02:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-04-20 03:26:10 UTC
Steps:
1) Open Impress
2) Tools > Customize > Keyboard
3) Set Ctrl + A for Insert > Insert Slide Directly
4) Test that shortcut works in Impress
5) Reopen Tools > Customize > Keyboard and clear shortcut with the Delete button
6) Notice that shortcut still works

Version: 5.4.0.0.alpha0+
Build ID: 04edc5c796c1b96e5228d0c1fcf73bcf52465b66
CPU threads: 2; OS: Linux 3.19; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-15_03:25:45
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Jacques Guilleron 2017-04-22 14:32:23 UTC
Hi Yousuf,

Same behaviour according to your steps with:
LO 5.4.0.0.alpha0+ Build ID: 98ebfb6a8638a76e96ffe7ada2485b3d13ed1fb9
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-04-11_01:03:05
Locale: fr-FR (fr_FR); Calc: CL

but not when, after Delete, I push Reset at bottom of Customize dialog.
Not sure this is documented.
Does this works for you too?
Comment 2 Yousuf Philips (jay) (retired) 2017-04-22 17:16:41 UTC
(In reply to Jacques Guilleron from comment #1)
> but not when, after Delete, I push Reset at bottom of Customize dialog.
> Not sure this is documented.

Reset is intended to reset all shortcuts and delete is intended to remove a single shortcut.

@mkara: Did you notice this functionality in bug 35030.
Comment 3 QA Administrators 2019-04-05 02:59:26 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug